Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 974350

Summary: Review Request: nodejs-http-signature - Reference implementation of Joyent's HTTP Signature Scheme
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Jamie Nguyen <jamielinux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jamielinux, notting, package-review
Target Milestone: ---Flags: jamielinux: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-http-signature-0.10.0-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-23 21:26:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 974341, 974343, 974347    
Bug Blocks: 956806, 968919    

Description T.C. Hollingsworth 2013-06-14 03:58:36 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-http-signature.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-http-signature-0.10.0-1.fc19.src.rpm
Koji: <not done; missing BuildRequires>
FAS:  patches
Description:
nodejs-http-signature is a node.js library that has client and server components 
for Joyent's HTTP Signature Scheme.

Comment 1 Jamie Nguyen 2013-06-20 22:57:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-http-signature/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-http-signature-0.10.0-1.fc20.noarch.rpm
nodejs-http-signature.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-http-signature.noarch: W: only-non-binary-in-usr-lib
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/ctype /usr/lib/node_modules/ctype
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/assert-plus /usr/lib/node_modules/assert-plus
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/asn1 /usr/lib/node_modules/asn1
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-http-signature
nodejs-http-signature.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-http-signature.noarch: W: only-non-binary-in-usr-lib
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/ctype /usr/lib/node_modules/ctype
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/assert-plus /usr/lib/node_modules/assert-plus
nodejs-http-signature.noarch: W: dangling-symlink /usr/lib/node_modules/http-signature/node_modules/asn1 /usr/lib/node_modules/asn1
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-http-signature (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(asn1)
    npm(assert-plus)
    npm(ctype)



Provides
--------
nodejs-http-signature:
    nodejs-http-signature
    npm(http-signature)



Source checksums
----------------
http://registry.npmjs.org/http-signature/-/http-signature-0.10.0.tgz :
  CHECKSUM(SHA256) this package     : badaa47893d7a6c352ffb0746d68dd225fbb057b7d7149ad87093276445bf95b
  CHECKSUM(SHA256) upstream package : badaa47893d7a6c352ffb0746d68dd225fbb057b7d7149ad87093276445bf95b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-http-signature-0.10.0-1.fc19.src.rpm

Comment 2 Jamie Nguyen 2013-06-20 23:01:16 UTC
Issues:
=======

[!]: %check is present and all tests pass.

I've just realised the tst/ folder isn't included and tap apparently exits with zero status if the directory is missing. The tests will need to be pulled from github.


Also, you might consider doing %nodejs_fixdep asn1 '~0.1.11' to reduce future pain.

Comment 3 Jamie Nguyen 2013-06-20 23:03:31 UTC
I'd like to see it fixed before importing, but tests are a should not a must so package approved!

Comment 4 T.C. Hollingsworth 2013-06-21 00:16:18 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-http-signature.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-http-signature-0.10.0-2.fc19.src.rpm

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-2
- grab tests from GitHub
- relax dependency on npm(asn1)

Comment 5 T.C. Hollingsworth 2013-06-21 00:22:06 UTC
New Package SCM Request
=======================
Package Name: nodejs-http-signature
Short Description: Reference implementation of Joyent's HTTP Signature Scheme
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-06-21 12:08:07 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-06-23 08:59:23 UTC
nodejs-http-signature-0.10.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-http-signature-0.10.0-2.fc19

Comment 8 Fedora Update System 2013-06-23 08:59:55 UTC
nodejs-http-signature-0.10.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-http-signature-0.10.0-2.fc18

Comment 9 Fedora Update System 2013-06-23 09:01:41 UTC
nodejs-http-signature-0.10.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-http-signature-0.10.0-2.el6

Comment 10 Fedora Update System 2013-06-23 19:04:25 UTC
nodejs-http-signature-0.10.0-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-07-03 01:43:54 UTC
nodejs-http-signature-0.10.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-07-04 00:54:04 UTC
nodejs-http-signature-0.10.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-07-08 20:09:27 UTC
nodejs-http-signature-0.10.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.